from myhdl import Signal, Simulation, delay, always_comb
from mux import mux
from random import randrange

z, a, b, sel = [Signal(0) for i in range(4)]

mux_1 = mux(z, a, b, sel)

def test():
    print "z a b sel"
    for i in range(8):
        a.next, b.next, sel.next = randrange(8), randrange(8), randrange(2)
        yield delay(10)
        print "%s %s %s %s" % (z, a, b, sel)

test_1 = test()

sim = Simulation(mux_1, test_1)
sim.run()
