--IP Functional Simulation Model
--VERSION_BEGIN 11.1SP2 cbx_mgl 2012:01:25:21:26:09:SJ cbx_simgen 2012:01:25:21:25:27:SJ  VERSION_END


-- Copyright (C) 1991-2011 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

 LIBRARY sgate;
 USE sgate.sgate_pack.all;

--synthesis_resources = lut 34 mux21 46 oper_add 3 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  altera_merlin_slave_agent_0002 IS 
	 PORT 
	 ( 
		 clk	:	IN  STD_LOGIC;
		 cp_channel	:	IN  STD_LOGIC_VECTOR (1 DOWNTO 0);
		 cp_data	:	IN  STD_LOGIC_VECTOR (65 DOWNTO 0);
		 cp_endofpacket	:	IN  STD_LOGIC;
		 cp_ready	:	OUT  STD_LOGIC;
		 cp_startofpacket	:	IN  STD_LOGIC;
		 cp_valid	:	IN  STD_LOGIC;
		 m0_address	:	OUT  STD_LOGIC_VECTOR (14 DOWNTO 0);
		 m0_burstcount	:	OUT  STD_LOGIC_VECTOR (2 DOWNTO 0);
		 m0_byteenable	:	OUT  STD_LOGIC_VECTOR (3 DOWNTO 0);
		 m0_debugaccess	:	OUT  STD_LOGIC;
		 m0_lock	:	OUT  STD_LOGIC;
		 m0_read	:	OUT  STD_LOGIC;
		 m0_readdata	:	IN  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 m0_readdatavalid	:	IN  STD_LOGIC;
		 m0_waitrequest	:	IN  STD_LOGIC;
		 m0_write	:	OUT  STD_LOGIC;
		 m0_writedata	:	OUT  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 rdata_fifo_sink_data	:	IN  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 rdata_fifo_sink_ready	:	OUT  STD_LOGIC;
		 rdata_fifo_sink_valid	:	IN  STD_LOGIC;
		 rdata_fifo_src_data	:	OUT  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 rdata_fifo_src_ready	:	IN  STD_LOGIC;
		 rdata_fifo_src_valid	:	OUT  STD_LOGIC;
		 reset	:	IN  STD_LOGIC;
		 rf_sink_data	:	IN  STD_LOGIC_VECTOR (66 DOWNTO 0);
		 rf_sink_endofpacket	:	IN  STD_LOGIC;
		 rf_sink_ready	:	OUT  STD_LOGIC;
		 rf_sink_startofpacket	:	IN  STD_LOGIC;
		 rf_sink_valid	:	IN  STD_LOGIC;
		 rf_source_data	:	OUT  STD_LOGIC_VECTOR (66 DOWNTO 0);
		 rf_source_endofpacket	:	OUT  STD_LOGIC;
		 rf_source_ready	:	IN  STD_LOGIC;
		 rf_source_startofpacket	:	OUT  STD_LOGIC;
		 rf_source_valid	:	OUT  STD_LOGIC;
		 rp_data	:	OUT  STD_LOGIC_VECTOR (65 DOWNTO 0);
		 rp_endofpacket	:	OUT  STD_LOGIC;
		 rp_ready	:	IN  STD_LOGIC;
		 rp_startofpacket	:	OUT  STD_LOGIC;
		 rp_valid	:	OUT  STD_LOGIC
	 ); 
 END altera_merlin_slave_agent_0002;

 ARCHITECTURE RTL OF altera_merlin_slave_agent_0002 IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_0_1111q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_10_1055q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_11_1054q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_12_1053q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_13_1052q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_14_1051q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_1_1064q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_2_1063q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_3_1062q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_4_1061q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_5_1060q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_6_1059q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_7_1058q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_8_1057q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_9_1056q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1013q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1050q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1015q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1014q	:	STD_LOGIC := '0';
	 SIGNAL  wire_nl_w602w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nl_w321w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nl_w603w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nl_w601w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_0_989q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_10_1116q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_11_1115q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_12_1114q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_13_1113q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_14_1112q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_1_1125q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_2_1124q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_3_1123q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_4_1122q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_5_1121q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_6_1120q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_7_1119q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_8_1118q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_9_1117q	:	STD_LOGIC := '0';
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1001m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1002m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1003m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1006m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1007m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1008m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_997m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_998m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_999m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1065m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1066m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1067m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1068m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1069m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1070m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1071m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1072m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1073m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1074m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1075m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1076m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1077m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1078m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1079m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_992m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_0_1155m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_10_1145m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_11_1144m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_12_1143m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_13_1142m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_14_1141m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_1_1154m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_2_1153m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_3_1152m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_4_1151m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_5_1150m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_6_1149m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_7_1148m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_8_1147m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_9_1146m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_0_985m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_1_984m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_2_983m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_0_463m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_1_462m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_2_461m_dataout	:	STD_LOGIC;
	 SIGNAL  wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996_a	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996_b	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_gnd	:	STD_LOGIC;
	 SIGNAL  wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996_o	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_a	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_b	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_o	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_a	:	STD_LOGIC_VECTOR (14 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_b	:	STD_LOGIC_VECTOR (14 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o	:	STD_LOGIC_VECTOR (14 DOWNTO 0);
	 SIGNAL  wire_w_lg_cp_valid64w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_rf_source_ready65w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range681w730w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range678w680w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range676w677w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range674w675w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range672w673w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range670w671w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range668w669w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range666w667w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range664w665w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range662w663w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range660w661w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range658w659w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range656w657w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range654w655w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range651w653w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_m0_waitrequest580w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_reset595w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w649w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w584w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range304w729w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range306w679w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range309w652w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range295w297w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always0_994_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always1_1016_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_993_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_sink_ready_1159_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_wideor0_995_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_comb_481_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_cp_ready_456_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_compressed_read_451_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_read_450_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_write_449_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_460_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_read_457_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_read_458_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_write_464_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_nonposted_write_endofpacket_454_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_vcc :	STD_LOGIC;
	 SIGNAL  wire_w_cp_data_range63w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range681w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range678w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range676w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range674w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range672w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range670w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range668w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range666w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range664w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range662w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range660w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range658w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range656w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range654w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range651w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range295w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range296w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range304w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range306w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range309w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
 BEGIN

	wire_gnd <= '0';
	wire_w_lg_cp_valid64w(0) <= cp_valid AND wire_w_cp_data_range63w(0);
	wire_w_lg_rf_source_ready65w(0) <= rf_source_ready AND wire_w_lg_cp_valid64w(0);
	wire_w_lg_w_rf_sink_data_range681w730w(0) <= wire_w_rf_sink_data_range681w(0) AND wire_w_lg_w_rf_sink_data_range304w729w(0);
	wire_w_lg_w_rf_sink_data_range678w680w(0) <= wire_w_rf_sink_data_range678w(0) AND wire_w_lg_w_rf_sink_data_range306w679w(0);
	wire_w_lg_w_rf_sink_data_range676w677w(0) <= wire_w_rf_sink_data_range676w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range674w675w(0) <= wire_w_rf_sink_data_range674w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range672w673w(0) <= wire_w_rf_sink_data_range672w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range670w671w(0) <= wire_w_rf_sink_data_range670w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range668w669w(0) <= wire_w_rf_sink_data_range668w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range666w667w(0) <= wire_w_rf_sink_data_range666w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range664w665w(0) <= wire_w_rf_sink_data_range664w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range662w663w(0) <= wire_w_rf_sink_data_range662w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range660w661w(0) <= wire_w_rf_sink_data_range660w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range658w659w(0) <= wire_w_rf_sink_data_range658w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range656w657w(0) <= wire_w_rf_sink_data_range656w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range654w655w(0) <= wire_w_rf_sink_data_range654w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_w_rf_sink_data_range651w653w(0) <= wire_w_rf_sink_data_range651w(0) AND wire_w_lg_w_rf_sink_data_range309w652w(0);
	wire_w_lg_m0_waitrequest580w(0) <= NOT m0_waitrequest;
	wire_w_lg_reset595w(0) <= NOT reset;
	wire_w649w(0) <= NOT s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_993_dataout;
	wire_w584w(0) <= NOT s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_compressed_read_451_dataout;
	wire_w_lg_w_rf_sink_data_range304w729w(0) <= NOT wire_w_rf_sink_data_range304w(0);
	wire_w_lg_w_rf_sink_data_range306w679w(0) <= NOT wire_w_rf_sink_data_range306w(0);
	wire_w_lg_w_rf_sink_data_range309w652w(0) <= NOT wire_w_rf_sink_data_range309w(0);
	wire_w_lg_w_rf_sink_data_range295w297w(0) <= wire_w_rf_sink_data_range295w(0) OR wire_w_rf_sink_data_range296w(0);
	cp_ready <= s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_cp_ready_456_dataout;
	m0_address <= ( cp_data(50 DOWNTO 36));
	m0_burstcount <= ( wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_2_461m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_1_462m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_0_463m_dataout);
	m0_byteenable <= ( cp_data(35 DOWNTO 32));
	m0_debugaccess <= cp_data(65);
	m0_lock <= (wire_w_lg_rf_source_ready65w(0) AND (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_read_458_dataout OR s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_write_464_dataout));
	m0_read <= s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_read_458_dataout;
	m0_write <= s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_write_464_dataout;
	m0_writedata <= ( cp_data(31 DOWNTO 0));
	rdata_fifo_sink_ready <= ((rp_ready AND rdata_fifo_sink_valid) AND (NOT (rf_sink_valid AND rf_sink_data(66))));
	rdata_fifo_src_data <= ( m0_readdata(31 DOWNTO 0));
	rdata_fifo_src_valid <= m0_readdatavalid;
	rf_sink_ready <= (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_993_dataout AND s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_sink_ready_1159_dataout);
	rf_source_data <= ( s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_nonposted_write_endofpacket_454_dataout & cp_data(65 DOWNTO 32) & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	rf_source_endofpacket <= cp_endofpacket;
	rf_source_startofpacket <= cp_startofpacket;
	rf_source_valid <= (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_cp_ready_456_dataout AND (rf_source_ready AND (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_nonposted_write_endofpacket_454_dataout OR s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_read_457_dataout)));
	rp_data <= ( rf_sink_data(65) & rf_sink_data(63) & rf_sink_data(64) & rf_sink_data(62 DOWNTO 59) & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_2_983m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_1_984m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_0_985m_dataout & rf_sink_data(55) & wire_w_lg_w_rf_sink_data_range295w297w & rf_sink_data(53 DOWNTO 52) & "0" & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_14_1141m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_13_1142m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_12_1143m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_11_1144m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_10_1145m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_9_1146m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_8_1147m_dataout
 & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_7_1148m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_6_1149m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_5_1150m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_4_1151m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_3_1152m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_2_1153m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_1_1154m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_0_1155m_dataout & rf_sink_data(35 DOWNTO 32) & rdata_fifo_sink_data(31 DOWNTO 0));
	rp_endofpacket <= (rf_sink_endofpacket AND s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_993_dataout);
	rp_startofpacket <= (rf_sink_startofpacket AND wire_nl_w321w(0));
	rp_valid <= (rdata_fifo_sink_valid OR s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_comb_481_dataout);
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always0_994_dataout <= (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_comb_481_dataout AND s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_sink_ready_1159_dataout);
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always1_1016_dataout <= (rp_ready AND s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout);
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout <= (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_comb_481_dataout AND wire_nl_w321w(0));
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_993_dataout <= ((NOT rf_sink_data(51)) OR wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_992m_dataout);
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_sink_ready_1159_dataout <= (rp_ready AND s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_comb_481_dataout);
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_wideor0_995_dataout <= ((altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1014q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1015q) OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1050q);
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_comb_481_dataout <= (rf_sink_valid AND (rf_sink_data(66) OR rdata_fifo_sink_valid));
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_cp_ready_456_dataout <= (wire_w_lg_m0_waitrequest580w(0) AND rf_source_ready);
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_compressed_read_451_dataout <= (cp_valid AND cp_data(51));
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_read_450_dataout <= (cp_valid AND cp_data(54));
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_write_449_dataout <= (cp_valid AND cp_data(53));
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_460_dataout <= (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_read_450_dataout AND wire_w584w(0));
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_read_457_dataout <= (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_read_450_dataout OR s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_compressed_read_451_dataout);
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_read_458_dataout <= (rf_source_ready AND s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_read_457_dataout);
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_write_464_dataout <= (rf_source_ready AND s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_write_449_dataout);
	s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_nonposted_write_endofpacket_454_dataout <= ((NOT cp_data(52)) AND (cp_endofpacket AND s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_local_write_449_dataout));
	s_wire_vcc <= '1';
	wire_w_cp_data_range63w(0) <= cp_data(55);
	wire_w_rf_sink_data_range681w(0) <= rf_sink_data(36);
	wire_w_rf_sink_data_range678w(0) <= rf_sink_data(37);
	wire_w_rf_sink_data_range676w(0) <= rf_sink_data(38);
	wire_w_rf_sink_data_range674w(0) <= rf_sink_data(39);
	wire_w_rf_sink_data_range672w(0) <= rf_sink_data(40);
	wire_w_rf_sink_data_range670w(0) <= rf_sink_data(41);
	wire_w_rf_sink_data_range668w(0) <= rf_sink_data(42);
	wire_w_rf_sink_data_range666w(0) <= rf_sink_data(43);
	wire_w_rf_sink_data_range664w(0) <= rf_sink_data(44);
	wire_w_rf_sink_data_range662w(0) <= rf_sink_data(45);
	wire_w_rf_sink_data_range660w(0) <= rf_sink_data(46);
	wire_w_rf_sink_data_range658w(0) <= rf_sink_data(47);
	wire_w_rf_sink_data_range656w(0) <= rf_sink_data(48);
	wire_w_rf_sink_data_range654w(0) <= rf_sink_data(49);
	wire_w_rf_sink_data_range651w(0) <= rf_sink_data(50);
	wire_w_rf_sink_data_range295w(0) <= rf_sink_data(51);
	wire_w_rf_sink_data_range296w(0) <= rf_sink_data(54);
	wire_w_rf_sink_data_range304w(0) <= rf_sink_data(59);
	wire_w_rf_sink_data_range306w(0) <= rf_sink_data(60);
	wire_w_rf_sink_data_range309w(0) <= rf_sink_data(61);
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_0_1111q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_10_1055q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_11_1054q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_12_1053q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_13_1052q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_14_1051q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_1_1064q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_2_1063q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_3_1062q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_4_1061q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_5_1060q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_6_1059q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_7_1058q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_8_1057q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_9_1056q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always1_1016_dataout = '1') THEN
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_0_1111q <= wire_w_lg_w_rf_sink_data_range681w730w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_10_1055q <= wire_w_lg_w_rf_sink_data_range660w661w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_11_1054q <= wire_w_lg_w_rf_sink_data_range658w659w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_12_1053q <= wire_w_lg_w_rf_sink_data_range656w657w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_13_1052q <= wire_w_lg_w_rf_sink_data_range654w655w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_14_1051q <= wire_w_lg_w_rf_sink_data_range651w653w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_1_1064q <= wire_w_lg_w_rf_sink_data_range678w680w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_2_1063q <= wire_w_lg_w_rf_sink_data_range676w677w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_3_1062q <= wire_w_lg_w_rf_sink_data_range674w675w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_4_1061q <= wire_w_lg_w_rf_sink_data_range672w673w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_5_1060q <= wire_w_lg_w_rf_sink_data_range670w671w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_6_1059q <= wire_w_lg_w_rf_sink_data_range668w669w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_7_1058q <= wire_w_lg_w_rf_sink_data_range666w667w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_8_1057q <= wire_w_lg_w_rf_sink_data_range664w665w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_9_1056q <= wire_w_lg_w_rf_sink_data_range662w663w(0);
			END IF;
		END IF;
	END PROCESS;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1013q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1050q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1015q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1014q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always0_994_dataout = '1') THEN
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1013q <= wire_w649w(0);
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1050q <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1008m_dataout;
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1015q <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1007m_dataout;
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1014q <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1006m_dataout;
			END IF;
		END IF;
	END PROCESS;
	wire_nl_w602w(0) <= altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1014q AND wire_nl_w601w(0);
	wire_nl_w321w(0) <= NOT altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1013q;
	wire_nl_w603w(0) <= NOT altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1050q;
	wire_nl_w601w(0) <= NOT altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1015q;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_0_989q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_10_1116q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_11_1115q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_12_1114q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_13_1113q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_14_1112q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_1_1125q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_2_1124q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_3_1123q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_4_1122q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_5_1121q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_6_1120q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_7_1119q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_8_1118q <= '0';
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_9_1117q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_sink_ready_1159_dataout = '1') THEN
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_0_989q <= (rf_sink_data(59) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(0));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_10_1116q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(10));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_11_1115q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(11));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_12_1114q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(12));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_13_1113q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(13));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_14_1112q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(14));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_1_1125q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(1));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_2_1124q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(2));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_3_1123q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(3));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_4_1122q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(4));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_5_1121q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(5));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_6_1120q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(6));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_7_1119q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(7));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_8_1118q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(8));
				altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_9_1117q <= (rf_sink_data(61) AND wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o(9));
			END IF;
		END IF;
	END PROCESS;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1001m_dataout <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_997m_dataout WHEN altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1013q = '1'  ELSE wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_o(3);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1002m_dataout <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_998m_dataout WHEN altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1013q = '1'  ELSE wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_o(2);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1003m_dataout <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_999m_dataout WHEN altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1013q = '1'  ELSE wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_o(1);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1006m_dataout <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1001m_dataout AND NOT(s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_993_dataout);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1007m_dataout <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1002m_dataout AND NOT(s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_993_dataout);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1008m_dataout <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1003m_dataout AND NOT(s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_993_dataout);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_997m_dataout <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996_o(3) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_wideor0_995_dataout = '1'  ELSE wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_o(3);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_998m_dataout <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996_o(2) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_wideor0_995_dataout = '1'  ELSE wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_o(2);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_999m_dataout <= wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996_o(1) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_wideor0_995_dataout = '1'  ELSE wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_o(1);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1065m_dataout <= rf_sink_data(50) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_14_1112q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1066m_dataout <= rf_sink_data(49) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_13_1113q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1067m_dataout <= rf_sink_data(48) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_12_1114q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1068m_dataout <= rf_sink_data(47) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_11_1115q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1069m_dataout <= rf_sink_data(46) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_10_1116q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1070m_dataout <= rf_sink_data(45) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_9_1117q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1071m_dataout <= rf_sink_data(44) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_8_1118q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1072m_dataout <= rf_sink_data(43) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_7_1119q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1073m_dataout <= rf_sink_data(42) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_6_1120q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1074m_dataout <= rf_sink_data(41) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_5_1121q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1075m_dataout <= rf_sink_data(40) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_4_1122q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1076m_dataout <= rf_sink_data(39) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_3_1123q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1077m_dataout <= rf_sink_data(38) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_2_1124q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1078m_dataout <= rf_sink_data(37) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_1_1125q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1079m_dataout <= rf_sink_data(36) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_0_989q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_992m_dataout <= (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_comb_481_dataout AND (wire_nl_w602w(0) AND wire_nl_w603w(0))) WHEN altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1013q = '1'  ELSE (s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_comb_481_dataout AND (((NOT rf_sink_data(56)) AND (NOT rf_sink_data(57))) AND rf_sink_data(58)));
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_0_1155m_dataout <= rf_sink_data(36) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_0_989q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_0_1111q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_10_1145m_dataout <= rf_sink_data(46) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_10_1055q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_10_1116q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_11_1144m_dataout <= rf_sink_data(47) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_11_1054q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_11_1115q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_12_1143m_dataout <= rf_sink_data(48) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_12_1053q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_12_1114q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_13_1142m_dataout <= rf_sink_data(49) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_13_1052q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_13_1113q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_14_1141m_dataout <= rf_sink_data(50) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_14_1051q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_14_1112q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_1_1154m_dataout <= rf_sink_data(37) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_1_1064q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_1_1125q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_2_1153m_dataout <= rf_sink_data(38) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_2_1063q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_2_1124q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_3_1152m_dataout <= rf_sink_data(39) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_3_1062q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_3_1123q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_4_1151m_dataout <= rf_sink_data(40) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_4_1061q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_4_1122q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_5_1150m_dataout <= rf_sink_data(41) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_5_1060q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_5_1121q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_6_1149m_dataout <= rf_sink_data(42) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_6_1059q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_6_1120q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_7_1148m_dataout <= rf_sink_data(43) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_7_1058q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_7_1119q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_8_1147m_dataout <= rf_sink_data(44) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_8_1057q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_8_1118q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_9_1146m_dataout <= rf_sink_data(45) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE (altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_9_1056q OR altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_9_1117q);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_0_985m_dataout <= rf_sink_data(56) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1050q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_1_984m_dataout <= rf_sink_data(57) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1015q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_2_983m_dataout <= rf_sink_data(58) WHEN s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_982_dataout = '1'  ELSE altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1014q;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_0_463m_dataout <= cp_data(56) AND NOT(s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_460_dataout);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_1_462m_dataout <= cp_data(57) AND NOT(s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_460_dataout);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_2_461m_dataout <= cp_data(58) OR s_wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_m0_burstcount_460_dataout;
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996_a <= ( altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1014q & altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1015q & altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1050q & "1");
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996_b <= ( "0" & "1" & "1" & "1");
	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996 :  oper_add
	  GENERIC MAP (
		sgate_representation => 0,
		width_a => 4,
		width_b => 4,
		width_o => 4
	  )
	  PORT MAP ( 
		a => wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996_a,
		b => wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996_b,
		cin => wire_gnd,
		o => wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_996_o
	  );
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_a <= ( rf_sink_data(58 DOWNTO 56) & "1");
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_b <= ( "0" & "1" & "1" & "1");
	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000 :  oper_add
	  GENERIC MAP (
		sgate_representation => 0,
		width_a => 4,
		width_b => 4,
		width_o => 4
	  )
	  PORT MAP ( 
		a => wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_a,
		b => wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_b,
		cin => wire_gnd,
		o => wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1000_o
	  );
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_a <= ( wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1065m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1066m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1067m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1068m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1069m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1070m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1071m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1072m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1073m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1074m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1075m_dataout
 & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1076m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1077m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1078m_dataout & wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1079m_dataout);
	wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_b <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "1" & "0" & "0");
	altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080 :  oper_add
	  GENERIC MAP (
		sgate_representation => 0,
		width_a => 15,
		width_b => 15,
		width_o => 15
	  )
	  PORT MAP ( 
		a => wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_a,
		b => wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_b,
		cin => wire_gnd,
		o => wire_altera_merlin_slave_agent_0002_altera_merlin_slave_agent_rx_bridge_s0_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1080_o
	  );

 END RTL; --altera_merlin_slave_agent_0002
--synopsys translate_on
--VALID FILE
