import multiprocessing

def sink(pipe_src,pipe_snk):
    pipe_src.close() # Close source end of the pipe
    while True:
        try:
            item = pipe_snk.recv()
        except EOFError:
            break
        print item  

def source(sequence, output_p):
    for item in sequence:
        output_p.send(item)

if __name__ == '__main__':
    pipe_src, pipe_snk = multiprocessing.Pipe()

    my_sink = multiprocessing.Process(target=sink, args=(pipe_src, pipe_snk))
    my_sink.start()

#    # Close the sink en of the pipe
    pipe_snk.close()

    # Go produce some data
    data = xrange(100)
    source(data, pipe_src)
    
    # Close the pipe
    pipe_src.close()
